# -*-Mode: C;-*- -[Sat Jul 25 11:12:48 1992 by cxh]-
# Tools to help with sql

proc pheader name {
  upvar $name h;
  set num_cols [array size h];
  #puts stdout "$num_cols";
  for { set j 0 } { $j < $num_cols } {set j [expr $j+1]} {
    puts stdout "$h(0,$j) " nonewline;
  }
  puts stdout \n nonewline
}

proc prow {name row rowlen} {
  upvar $name h;
  for { set j 0 } { $j < $rowlen } {set j [expr $j+1]} {
    puts stdout "$h($row,$j) " nonewline;
  }
  puts stdout \n nonewline
}
